
_main:

;uart_test.c,17 :: 		void main()
;uart_test.c,19 :: 		SPBRG=129;
	MOVLW      129
	MOVWF      SPBRG+0
;uart_test.c,20 :: 		TXSTA=(1<<TXEN)|(1<<BRGH);
	MOVLW      36
	MOVWF      TXSTA+0
;uart_test.c,21 :: 		RCSTA=(1<<SPEN)|(1<<CREN);
	MOVLW      144
	MOVWF      RCSTA+0
;uart_test.c,22 :: 		T1CON=(1<<T1CKPS1)|(1<<T1CKPS0)|(1<<TMR1ON);
	MOVLW      49
	MOVWF      T1CON+0
;uart_test.c,23 :: 		INTCON=(1<<GIE)|(1<<PEIE);
	MOVLW      192
	MOVWF      INTCON+0
;uart_test.c,24 :: 		PIE1=(1<<TMR1IE)|(1<<RCIE);
	MOVLW      33
	MOVWF      PIE1+0
;uart_test.c,25 :: 		TRISA=0;
	CLRF       TRISA+0
;uart_test.c,26 :: 		UART_TX_TEXT("HELLO!");
	MOVLW      ?lstr1_uart_test+0
	MOVWF      FARG_UART_TX_TEXT_dat+0
	CALL       _UART_TX_TEXT+0
;uart_test.c,27 :: 		while(1)
L_main0:
;uart_test.c,29 :: 		while (data_ready!=data_received);
L_main2:
	MOVF       _data_ready+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main3
	GOTO       L_main2
L_main3:
;uart_test.c,30 :: 		UART_TX(13);
	MOVLW      13
	MOVWF      FARG_UART_TX_dat+0
	CALL       _UART_TX+0
;uart_test.c,31 :: 		UART_TX(10);
	MOVLW      10
	MOVWF      FARG_UART_TX_dat+0
	CALL       _UART_TX+0
;uart_test.c,32 :: 		UART_TX_TEXT(buffer);
	MOVLW      _buffer+0
	MOVWF      FARG_UART_TX_TEXT_dat+0
	CALL       _UART_TX_TEXT+0
;uart_test.c,33 :: 		buffer_clear();
	CALL       _buffer_clear+0
;uart_test.c,34 :: 		data_ready=0;
	CLRF       _data_ready+0
;uart_test.c,35 :: 		}
	GOTO       L_main0
;uart_test.c,36 :: 		}
L_end_main:
	GOTO       $+0
; end of _main

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;uart_test.c,38 :: 		void interrupt (void)
;uart_test.c,40 :: 		if (PIR1.TMR1IF) {TMR1_Handle(); PIR1.TMR1IF=0;}
	BTFSS      PIR1+0, 0
	GOTO       L_interrupt4
	CALL       _TMR1_Handle+0
	BCF        PIR1+0, 0
L_interrupt4:
;uart_test.c,41 :: 		if (PIR1.RCIF)   {RC_Handle(); PIR1.RCIF=0;}
	BTFSS      PIR1+0, 5
	GOTO       L_interrupt5
	CALL       _RC_Handle+0
	BCF        PIR1+0, 5
L_interrupt5:
;uart_test.c,42 :: 		}
L_end_interrupt:
L__interrupt19:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_TMR1_Handle:

;uart_test.c,44 :: 		void TMR1_Handle (void)
;uart_test.c,46 :: 		tim1_cnt++;
	INCF       _tim1_cnt+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _tim1_cnt+0
;uart_test.c,47 :: 		if (tim1_cnt==10)
	MOVF       _tim1_cnt+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L_TMR1_Handle6
;uart_test.c,49 :: 		PORTA=~PORTA;
	COMF       PORTA+0, 1
;uart_test.c,50 :: 		tim1_cnt=0;
	CLRF       _tim1_cnt+0
;uart_test.c,51 :: 		if (buffer_cnt)
	MOVF       _buffer_cnt+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_TMR1_Handle7
;uart_test.c,53 :: 		data_ready=data_received;
	MOVLW      2
	MOVWF      _data_ready+0
;uart_test.c,54 :: 		buffer_cnt=0;
	CLRF       _buffer_cnt+0
;uart_test.c,55 :: 		}
L_TMR1_Handle7:
;uart_test.c,56 :: 		}
L_TMR1_Handle6:
;uart_test.c,57 :: 		}
L_end_TMR1_Handle:
	RETURN
; end of _TMR1_Handle

_RC_Handle:

;uart_test.c,60 :: 		void RC_Handle (void)
;uart_test.c,62 :: 		buffer[buffer_cnt]=RCREG;
	MOVF       _buffer_cnt+0, 0
	ADDLW      _buffer+0
	MOVWF      FSR
	MOVF       RCREG+0, 0
	MOVWF      INDF+0
;uart_test.c,63 :: 		if (buffer_cnt!=buffer_size) buffer_cnt++;
	MOVF       _buffer_cnt+0, 0
	XORLW      80
	BTFSC      STATUS+0, 2
	GOTO       L_RC_Handle8
	INCF       _buffer_cnt+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _buffer_cnt+0
	GOTO       L_RC_Handle9
L_RC_Handle8:
;uart_test.c,64 :: 		else buffer_cnt=0;
	CLRF       _buffer_cnt+0
L_RC_Handle9:
;uart_test.c,65 :: 		tim1_cnt=0;
	CLRF       _tim1_cnt+0
;uart_test.c,66 :: 		data_ready=data_receiving;
	MOVLW      1
	MOVWF      _data_ready+0
;uart_test.c,67 :: 		}
L_end_RC_Handle:
	RETURN
; end of _RC_Handle

_UART_TX:

;uart_test.c,69 :: 		void UART_TX (char dat)
;uart_test.c,71 :: 		while(!PIR1.TXIF);
L_UART_TX10:
	BTFSC      PIR1+0, 4
	GOTO       L_UART_TX11
	GOTO       L_UART_TX10
L_UART_TX11:
;uart_test.c,72 :: 		TXREG=dat;
	MOVF       FARG_UART_TX_dat+0, 0
	MOVWF      TXREG+0
;uart_test.c,73 :: 		PIR1.TXIF=0;
	BCF        PIR1+0, 4
;uart_test.c,74 :: 		}
L_end_UART_TX:
	RETURN
; end of _UART_TX

_UART_TX_TEXT:

;uart_test.c,76 :: 		void UART_TX_TEXT ( char *dat)
;uart_test.c,78 :: 		while (*dat) UART_TX (*dat++);
L_UART_TX_TEXT12:
	MOVF       FARG_UART_TX_TEXT_dat+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_UART_TX_TEXT13
	MOVF       FARG_UART_TX_TEXT_dat+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_UART_TX_dat+0
	CALL       _UART_TX+0
	INCF       FARG_UART_TX_TEXT_dat+0, 1
	GOTO       L_UART_TX_TEXT12
L_UART_TX_TEXT13:
;uart_test.c,79 :: 		UART_TX(13);
	MOVLW      13
	MOVWF      FARG_UART_TX_dat+0
	CALL       _UART_TX+0
;uart_test.c,80 :: 		UART_TX(10);
	MOVLW      10
	MOVWF      FARG_UART_TX_dat+0
	CALL       _UART_TX+0
;uart_test.c,81 :: 		}
L_end_UART_TX_TEXT:
	RETURN
; end of _UART_TX_TEXT

_buffer_clear:

;uart_test.c,83 :: 		void buffer_clear (void)
;uart_test.c,86 :: 		for (cnt=0; cnt!=buffer_size; cnt++) buffer[cnt]=0;
	CLRF       R1+0
L_buffer_clear14:
	MOVF       R1+0, 0
	XORLW      80
	BTFSC      STATUS+0, 2
	GOTO       L_buffer_clear15
	MOVF       R1+0, 0
	ADDLW      _buffer+0
	MOVWF      FSR
	CLRF       INDF+0
	INCF       R1+0, 1
	GOTO       L_buffer_clear14
L_buffer_clear15:
;uart_test.c,87 :: 		}
L_end_buffer_clear:
	RETURN
; end of _buffer_clear
